编译OpenHarmony2.0失败,求助一下

编译OpenHarmony2.0失败,求助一下-开源基础软件社区

OpenHarmony2.0
2021-06-07 17:39:32
浏览
收藏 0
回答 3
已解决
回答 3
按赞同
/
按时间
liangkz_梁开祝
1

见我的帖子:https://harmonyos.51cto.com/posts/5409

首先确认python版本是python2.7,

其次确认“获取prebuilts和配置NodeJS环境和获取Node_modules依赖包”正确完成了,

llvm-linux-9.0.0-36191和llvm-linux-10.0.1-53907 替换着尝试一下看看。

 

看贴出来的log,我觉得还是有可能与 llvm 版本有关,虽然我上面的帖子说:

“llvm 版本看上去没有要求,llvm-linux-9.0.0-36191和llvm-linux-10.0.1-53907 都可以。”

分享
微博
QQ
微信
回复
2021-06-07 19:35:41
C_BOOT
1

我之前也碰到了这问题,为了方便,懒得配置编译环境,我用的是docker编译

问题原因是docker镜像用错了,用的是小型和轻量系统类设备Docker镜像,换成标准系统类设备docker镜像就可以编译成功了

https://harmonyos.51cto.com/answer/1833

分享
微博
QQ
微信
回复
2021-08-20 10:57:23
liangkz_梁开祝

怎么样?是不是与llvm版本有关?还是其他什么原因?

分享
微博
QQ
微信
回复1
2021-06-07 20:52:26
相关问题
openHarmony2.0 hb编译问题
3965浏览 • 3回复 待解决
OpenHarmony-2.2-Beta2 编译失败求助
3571浏览 • 1回复 已解决
ob有如何报错,麻烦帮忙看一下
189浏览 • 1回复 待解决
请问一下鸿蒙的pad应用该如何签名?
2278浏览 • 1回复 待解决
帐号授权相关问题,和大家讨论一下
6957浏览 • 3回复 待解决
有没有权限说明清单,分享一下啊?
623浏览 • 1回复 待解决
求帮助解决一下
5184浏览 • 4回复 待解决